	.reference	___bb_blitz_blitz
	.reference	___bb_imports_constants
	.reference	_bbFloor
	.reference	_bbGCFree
	.reference	_bbNullObject
	.reference	_bbObjectClass
	.reference	_bbObjectCompare
	.reference	_bbObjectCtor
	.reference	_bbObjectFree
	.reference	_bbObjectNew
	.reference	_bbObjectRegisterType
	.reference	_bbObjectReserved
	.reference	_bbObjectSendMessage
	.reference	_bbObjectToString
	.reference	_bbOnDebugEnterScope
	.reference	_bbOnDebugEnterStm
	.reference	_bbOnDebugLeaveScope
	.reference	_bbStringClass
	.reference	_brl_blitz_NullObjectError
	.reference	_brl_max2d_DrawImage
	.reference	_brl_max2d_ImageWidth
	.reference	_brl_max2d_LoadImage
	.reference	_brl_max2d_SetColor
	.globl	___bb_imports_horizon
	.globl	__bb_THorizon_Create
	.globl	__bb_THorizon_Delete
	.globl	__bb_THorizon_New
	.globl	__bb_THorizon_draw
	.globl	__bb_THorizon_gGfx1
	.globl	__bb_THorizon_gGfx2
	.globl	__bb_THorizon_gGfx3
	.globl	__bb_THorizon_init
	.globl	__bb_THorizon_loadGraphics
	.globl	__bb_THorizon_update
	.globl	_bb_THorizon
	.text	
___bb_imports_horizon:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$20,%esp
	cmpl	$0,_65
	je	_66
	mov	$0,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_66:
	movl	$1,_65
	movl	%ebp,4(%esp)
	movl	$_63,(%esp)
	calll	*_bbOnDebugEnterScope
	call	___bb_blitz_blitz
	call	___bb_imports_constants
	movl	$_59,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_61,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_62,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_bb_THorizon,(%esp)
	call	_bbObjectRegisterType
	mov	$0,%ebx
	jmp	_33
_33:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_THorizon_New:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_69,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbObjectCtor
	movl	-4(%ebp),%eax
	movl	$_bb_THorizon,(%eax)
	mov	$_bbNullObject,%edx
	incl	4(%edx)
	movl	-4(%ebp),%eax
	movl	%edx,8(%eax)
	movl	-4(%ebp),%eax
	movl	$0,12(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	16(%eax)
	movl	-4(%ebp),%eax
	movl	$0,20(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	24(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	28(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	32(%eax)
	movl	-4(%ebp),%eax
	fldz
	fstps	36(%eax)
	movl	%ebp,4(%esp)
	movl	$_68,(%esp)
	calll	*_bbOnDebugEnterScope
	calll	*_bbOnDebugLeaveScope
	mov	$0,%ebx
	jmp	_36
_36:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_THorizon_Delete:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	movl	8(%ebp),%eax
_39:
	movl	8(%eax),%eax
	decl	4(%eax)
	jnz	_74
	movl	%eax,(%esp)
	call	_bbGCFree
_74:
	mov	$0,%eax
	jmp	_72
_72:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_THorizon_loadGraphics:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$20,%esp
	movl	%ebp,4(%esp)
	movl	$_90,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_75,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$2,4(%esp)
	movl	$_7,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_THorizon_gGfx1,%eax
	decl	4(%eax)
	jnz	_79
	movl	%eax,(%esp)
	call	_bbGCFree
_79:
	movl	%ebx,__bb_THorizon_gGfx1
	movl	$_80,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$2,4(%esp)
	movl	$_8,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_THorizon_gGfx2,%eax
	decl	4(%eax)
	jnz	_84
	movl	%eax,(%esp)
	call	_bbGCFree
_84:
	movl	%ebx,__bb_THorizon_gGfx2
	movl	$_85,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$2,4(%esp)
	movl	$_9,(%esp)
	call	_brl_max2d_LoadImage
	incl	4(%eax)
	mov	%eax,%ebx
	movl	__bb_THorizon_gGfx3,%eax
	decl	4(%eax)
	jnz	_89
	movl	%eax,(%esp)
	call	_bbGCFree
_89:
	movl	%ebx,__bb_THorizon_gGfx3
	mov	$0,%ebx
	jmp	_41
_41:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_THorizon_Create:
	push	%ebp
	mov	%esp,%ebp
	sub	$12,%esp
	push	%ebx
	push	%esi
	sub	$20,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	flds	12(%ebp)
	fstps	-8(%ebp)
	movl	$_bbNullObject,-12(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_115,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_91,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_bb_THorizon,(%esp)
	call	_bbObjectNew
	movl	%eax,-12(%ebp)
	movl	$_93,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-12(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_95
	call	_brl_blitz_NullObjectError
_95:
	movl	-4(%ebp),%eax
	incl	4(%eax)
	mov	%eax,%esi
	movl	8(%ebx),%eax
	decl	4(%eax)
	jnz	_100
	movl	%eax,(%esp)
	call	_bbGCFree
_100:
	movl	%esi,8(%ebx)
	movl	$_101,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-12(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_103
	call	_brl_blitz_NullObjectError
_103:
	flds	-8(%ebp)
	fstps	32(%ebx)
	movl	$_105,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-12(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_107
	call	_brl_blitz_NullObjectError
_107:
	mov	%ebx,%esi
	movl	-12(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_110
	call	_brl_blitz_NullObjectError
_110:
	movl	8(%ebx),%eax
	movl	%eax,(%esp)
	call	_brl_max2d_ImageWidth
	movl	%eax,12(%esi)
	movl	$_111,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-12(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_113
	call	_brl_blitz_NullObjectError
_113:
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*56(%eax)
	movl	$_114,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-12(%ebp),%ebx
	jmp	_45
_45:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$20,%esp
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_THorizon_init:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	push	%esi
	sub	$28,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_135,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_118,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_120
	call	_brl_blitz_NullObjectError
_120:
	mov	%ebx,%esi
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_123
	call	_brl_blitz_NullObjectError
_123:
	flds	32(%ebx)
	fdivs	_219
	fstps	36(%esi)
	movl	$_124,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_126
	call	_brl_blitz_NullObjectError
_126:
	fldz
	fstps	16(%ebx)
	movl	$_128,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_130
	call	_brl_blitz_NullObjectError
_130:
	movl	$196,20(%ebx)
	movl	$_132,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_134
	call	_brl_blitz_NullObjectError
_134:
	fldz
	fstps	12(%esp)
	fldz
	fstps	8(%esp)
	fldz
	fstps	4(%esp)
	movl	%ebx,(%esp)
	movl	(%ebx),%eax
	calll	*60(%eax)
	mov	$0,%ebx
	jmp	_48
_48:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$28,%esp
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_THorizon_update:
	push	%ebp
	mov	%esp,%ebp
	sub	$16,%esp
	push	%ebx
	push	%esi
	push	%edi
	sub	$12,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	flds	12(%ebp)
	fstps	-8(%ebp)
	flds	16(%ebp)
	fstps	-12(%ebp)
	flds	20(%ebp)
	fstps	-16(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_176,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_136,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_138
	call	_brl_blitz_NullObjectError
_138:
	mov	%ebx,%edi
	movl	-4(%ebp),%esi
	cmp	$_bbNullObject,%esi
	jne	_141
	call	_brl_blitz_NullObjectError
_141:
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_143
	call	_brl_blitz_NullObjectError
_143:
	flds	_227
	fmuls	24(%esi)
	flds	-8(%ebp)
	fmuls	32(%ebx)
	fmuls	-16(%ebp)
	fmuls	_228
	faddp	%st(0),%st(1)
	fdivs	_229
	fstps	24(%edi)
	movl	$_144,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_146
	call	_brl_blitz_NullObjectError
_146:
	movl	-4(%ebp),%esi
	cmp	$_bbNullObject,%esi
	jne	_149
	call	_brl_blitz_NullObjectError
_149:
	flds	16(%ebx)
	fsubs	24(%esi)
	fstps	16(%ebx)
	movl	$_150,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_152
	call	_brl_blitz_NullObjectError
_152:
	flds	16(%ebx)
	fldz
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setae	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_153
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_158,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_154,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_156
	call	_brl_blitz_NullObjectError
_156:
	flds	16(%ebx)
	fadds	_230
	fstps	16(%ebx)
	calll	*_bbOnDebugLeaveScope
	jmp	_159
_153:
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_169,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_160,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_162
	call	_brl_blitz_NullObjectError
_162:
	flds	16(%ebx)
	flds	_231
	fxch	%st(1)
	fucompp
	fnstsw	%ax
	sahf
	setb	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_163
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_168,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_164,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_166
	call	_brl_blitz_NullObjectError
_166:
	flds	16(%ebx)
	fsubs	_232
	fstps	16(%ebx)
	calll	*_bbOnDebugLeaveScope
_163:
	calll	*_bbOnDebugLeaveScope
_159:
	movl	$_170,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_172
	call	_brl_blitz_NullObjectError
_172:
	movl	-4(%ebp),%esi
	cmp	$_bbNullObject,%esi
	jne	_175
	call	_brl_blitz_NullObjectError
_175:
	flds	-12(%ebp)
	fmuls	36(%esi)
	fstps	28(%ebx)
	mov	$0,%ebx
	jmp	_54
_54:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$12,%esp
	pop	%edi
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_THorizon_draw:
	push	%ebp
	mov	%esp,%ebp
	sub	$20,%esp
	push	%ebx
	push	%esi
	push	%edi
	sub	$24,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_201,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_180,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$255,8(%esp)
	movl	$255,4(%esp)
	movl	$255,(%esp)
	call	_brl_max2d_SetColor
	movl	$_181,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%eax
	movl	%eax,-12(%ebp)
	cmpl	$_bbNullObject,-12(%ebp)
	jne	_183
	call	_brl_blitz_NullObjectError
_183:
	movl	-4(%ebp),%edi
	cmp	$_bbNullObject,%edi
	jne	_185
	call	_brl_blitz_NullObjectError
_185:
	movl	-4(%ebp),%esi
	cmp	$_bbNullObject,%esi
	jne	_187
	call	_brl_blitz_NullObjectError
_187:
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_189
	call	_brl_blitz_NullObjectError
_189:
	movl	$0,12(%esp)
	movl	20(%esi),%eax
	movl	%eax,-20(%ebp)
	fildl	-20(%ebp)
	fadds	28(%ebx)
	fstpl	(%esp)
	call	_bbFloor
	fstps	8(%esp)
	flds	16(%edi)
	fstpl	(%esp)
	call	_bbFloor
	fstps	4(%esp)
	movl	-12(%ebp),%eax
	movl	8(%eax),%eax
	movl	%eax,(%esp)
	call	_brl_max2d_DrawImage
	movl	$_190,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%eax
	movl	%eax,-16(%ebp)
	cmpl	$_bbNullObject,-16(%ebp)
	jne	_192
	call	_brl_blitz_NullObjectError
_192:
	movl	-4(%ebp),%eax
	movl	%eax,-8(%ebp)
	cmpl	$_bbNullObject,-8(%ebp)
	jne	_194
	call	_brl_blitz_NullObjectError
_194:
	movl	-4(%ebp),%edi
	cmp	$_bbNullObject,%edi
	jne	_196
	call	_brl_blitz_NullObjectError
_196:
	movl	-4(%ebp),%esi
	cmp	$_bbNullObject,%esi
	jne	_198
	call	_brl_blitz_NullObjectError
_198:
	movl	-4(%ebp),%ebx
	cmp	$_bbNullObject,%ebx
	jne	_200
	call	_brl_blitz_NullObjectError
_200:
	movl	$0,12(%esp)
	movl	20(%esi),%eax
	movl	%eax,-20(%ebp)
	fildl	-20(%ebp)
	fadds	28(%ebx)
	fstpl	(%esp)
	call	_bbFloor
	fstps	8(%esp)
	movl	-8(%ebp),%eax
	flds	16(%eax)
	movl	12(%edi),%eax
	movl	%eax,-20(%ebp)
	fildl	-20(%ebp)
	fsubrp	%st(0),%st(1)
	fstpl	(%esp)
	call	_bbFloor
	fstps	4(%esp)
	movl	-16(%ebp),%eax
	movl	8(%eax),%eax
	movl	%eax,(%esp)
	call	_brl_max2d_DrawImage
	mov	$0,%ebx
	jmp	_57
_57:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$24,%esp
	pop	%edi
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
	.data	
	.align	4
_65:
	.long	0
_64:
	.asciz	"horizon"
	.align	4
_63:
	.long	1
	.long	_64
	.long	0
_60:
	.asciz	"/Users/macbook/Downloads/grandprix_win/Imports/horizon.bmx"
	.align	4
_59:
	.long	_60
	.long	11
	.long	2
	.align	4
__bb_THorizon_gGfx1:
	.long	_bbNullObject
	.align	4
_61:
	.long	_60
	.long	12
	.long	2
	.align	4
__bb_THorizon_gGfx2:
	.long	_bbNullObject
	.align	4
_62:
	.long	_60
	.long	13
	.long	2
	.align	4
__bb_THorizon_gGfx3:
	.long	_bbNullObject
_11:
	.asciz	"THorizon"
_12:
	.asciz	"fGfx"
_13:
	.asciz	":TImage"
_14:
	.asciz	"fHorizonDrawOffset"
_15:
	.asciz	"i"
_16:
	.asciz	"fHorizonDrawX"
_17:
	.asciz	"f"
_18:
	.asciz	"fHorizonDrawY"
_19:
	.asciz	"fHorizonDrawDX"
_20:
	.asciz	"fHorizonDrawYOffset"
_21:
	.asciz	"fSpeed"
_22:
	.asciz	"fYOffsetFactor"
_23:
	.asciz	"New"
_24:
	.asciz	"()i"
_25:
	.asciz	"Delete"
_26:
	.asciz	"loadGraphics"
_27:
	.asciz	"Create"
_28:
	.asciz	"(:TImage,f):THorizon"
_29:
	.asciz	"init"
_30:
	.asciz	"update"
_31:
	.asciz	"(f,f,f)i"
_32:
	.asciz	"draw"
	.align	4
_10:
	.long	2
	.long	_11
	.long	3
	.long	_12
	.long	_13
	.long	8
	.long	3
	.long	_14
	.long	_15
	.long	12
	.long	3
	.long	_16
	.long	_17
	.long	16
	.long	3
	.long	_18
	.long	_15
	.long	20
	.long	3
	.long	_19
	.long	_17
	.long	24
	.long	3
	.long	_20
	.long	_17
	.long	28
	.long	3
	.long	_21
	.long	_17
	.long	32
	.long	3
	.long	_22
	.long	_17
	.long	36
	.long	6
	.long	_23
	.long	_24
	.long	16
	.long	6
	.long	_25
	.long	_24
	.long	20
	.long	7
	.long	_26
	.long	_24
	.long	48
	.long	7
	.long	_27
	.long	_28
	.long	52
	.long	6
	.long	_29
	.long	_24
	.long	56
	.long	6
	.long	_30
	.long	_31
	.long	60
	.long	6
	.long	_32
	.long	_24
	.long	64
	.long	0
	.align	4
_bb_THorizon:
	.long	_bbObjectClass
	.long	_bbObjectFree
	.long	_10
	.long	40
	.long	__bb_THorizon_New
	.long	__bb_THorizon_Delete
	.long	_bbObjectToString
	.long	_bbObjectCompare
	.long	_bbObjectSendMessage
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	__bb_THorizon_loadGraphics
	.long	__bb_THorizon_Create
	.long	__bb_THorizon_init
	.long	__bb_THorizon_update
	.long	__bb_THorizon_draw
_70:
	.asciz	"Self"
_71:
	.asciz	":THorizon"
	.align	4
_69:
	.long	1
	.long	_23
	.long	2
	.long	_70
	.long	_71
	.long	-4
	.long	0
	.align	4
_68:
	.long	3
	.long	0
	.long	0
	.align	4
_90:
	.long	1
	.long	_26
	.long	0
	.align	4
_75:
	.long	_60
	.long	25
	.long	3
	.align	4
_7:
	.long	_bbStringClass
	.long	2147483647
	.long	21
	.short	71,114,97,112,104,105,99,115,47,104,111,114,105,122,111,110
	.short	49,46,112,110,103
	.align	4
_80:
	.long	_60
	.long	26
	.long	3
	.align	4
_8:
	.long	_bbStringClass
	.long	2147483647
	.long	21
	.short	71,114,97,112,104,105,99,115,47,104,111,114,105,122,111,110
	.short	50,46,112,110,103
	.align	4
_85:
	.long	_60
	.long	27
	.long	3
	.align	4
_9:
	.long	_bbStringClass
	.long	2147483647
	.long	21
	.short	71,114,97,112,104,105,99,115,47,104,111,114,105,122,111,110
	.short	51,46,112,110,103
_116:
	.asciz	"pGfx"
_117:
	.asciz	"pSpeed"
	.align	4
_115:
	.long	1
	.long	_27
	.long	2
	.long	_116
	.long	_13
	.long	-4
	.long	2
	.long	_117
	.long	_17
	.long	-8
	.long	2
	.long	_64
	.long	_71
	.long	-12
	.long	0
	.align	4
_91:
	.long	_60
	.long	31
	.long	3
	.align	4
_93:
	.long	_60
	.long	32
	.long	3
	.align	4
_101:
	.long	_60
	.long	33
	.long	3
	.align	4
_105:
	.long	_60
	.long	34
	.long	3
	.align	4
_111:
	.long	_60
	.long	35
	.long	3
	.align	4
_114:
	.long	_60
	.long	36
	.long	3
	.align	4
_135:
	.long	1
	.long	_29
	.long	2
	.long	_70
	.long	_71
	.long	-4
	.long	0
	.align	4
_118:
	.long	_60
	.long	40
	.long	3
	.align	4
_219:
	.long	0x451c4000
	.align	4
_124:
	.long	_60
	.long	41
	.long	3
	.align	4
_128:
	.long	_60
	.long	42
	.long	3
	.align	4
_132:
	.long	_60
	.long	43
	.long	3
_177:
	.asciz	"pPlayerSegmentDX"
_178:
	.asciz	"pYOffset"
_179:
	.asciz	"pPlayerSpeed"
	.align	4
_176:
	.long	1
	.long	_30
	.long	2
	.long	_70
	.long	_71
	.long	-4
	.long	2
	.long	_177
	.long	_17
	.long	-8
	.long	2
	.long	_178
	.long	_17
	.long	-12
	.long	2
	.long	_179
	.long	_17
	.long	-16
	.long	0
	.align	4
_136:
	.long	_60
	.long	47
	.long	3
	.align	4
_227:
	.long	0x41100000
	.align	4
_228:
	.long	0x40000000
	.align	4
_229:
	.long	0x41200000
	.align	4
_144:
	.long	_60
	.long	48
	.long	3
	.align	4
_150:
	.long	_60
	.long	49
	.long	3
	.align	4
_158:
	.long	3
	.long	0
	.long	0
	.align	4
_154:
	.long	_60
	.long	50
	.long	4
	.align	4
_230:
	.long	0x44480000
	.align	4
_169:
	.long	3
	.long	0
	.long	0
	.align	4
_160:
	.long	_60
	.long	51
	.long	8
	.align	4
_231:
	.long	0x44480000
	.align	4
_168:
	.long	3
	.long	0
	.long	0
	.align	4
_164:
	.long	_60
	.long	52
	.long	4
	.align	4
_232:
	.long	0x44480000
	.align	4
_170:
	.long	_60
	.long	54
	.long	3
	.align	4
_201:
	.long	1
	.long	_32
	.long	2
	.long	_70
	.long	_71
	.long	-4
	.long	0
	.align	4
_180:
	.long	_60
	.long	58
	.long	3
	.align	4
_181:
	.long	_60
	.long	59
	.long	3
	.align	4
_190:
	.long	_60
	.long	60
	.long	3
